Zum Hauptinhalt springen
GET
/
v2
/
enterprise
/
hypervisors
/
health
Health-Status der Enterprise-Hypervisoren abrufen
curl --request GET \
  --url https://api.devin.ai/v2/enterprise/hypervisors/health \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.devin.ai/v2/enterprise/hypervisors/health"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.devin.ai/v2/enterprise/hypervisors/health', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "hypervisor_id": "<string>",
    "status": "<string>",
    "seconds_since_report": 123
  }
]
Erfordert den persönlichen API key eines Enterprise-Administrators. Gibt eine Liste von Hypervisoren mit ihrem aktuellen Zustand für das Enterprise zurück. Dieser Endpunkt ist für das VPC-Monitoring konzipiert und ermöglicht Enterprise-Administratoren, den Zustand ihrer Hypervisor-Infrastruktur zu überprüfen.
Dieser Endpunkt ist nur für Enterprises mit VPC-Bereitstellungen verfügbar.

Autorisierungen

Authorization
string
header
erforderlich

Persönlicher API Key (apk_user_*) nur für Enterprise-Administratoren

Antwort

200 - application/json

Erfolgreiche Antwort

hypervisor_id
string
erforderlich
status
string
erforderlich
seconds_since_report
integer | null